export declare namespace Protocol {
    interface DiscoveryPath {
        location: string;
    }
    interface ServerInstallation {
        location: string;
        name: string;
        version: string;
    }
    interface ServerAttributes {
        id: string;
        attributes: {
            [index: string]: any;
        };
    }
    interface ServerHandle {
        processId: string;
        installation: ServerInstallation;
        launchAttributes: ServerAttributes;
        status: ServerStatus;
    }
    interface ServerStatus {
        state: number;
        message: string;
        ok: boolean;
    }
    interface Status {
        code: number;
        message: string;
        ok: boolean;
    }
    interface ServerOutput {
        server: ServerHandle;
        output: string;
    }
    interface CreateServerConfig {
        installation: ServerInstallation;
    }
    interface StartServerConfig {
        installation: ServerInstallation;
        attributes: ServerAttributes;
    }
    interface StopServerConfig {
        handle: ServerHandle;
    }
    interface JVM {
        id: string;
        location: string;
        version: string;
    }
    namespace ServerState {
        const UNKNOWN = 0;
        const STARTING = 1;
        const STARTED = 2;
        const RUNNING = 3;
        const STOPPING = 4;
        const STOPPED = 5;
        const ANALYZING = 6;
    }
}
